Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class Utf8BlockMarker

    java.lang.Object
      edu.harvard.hul.ois.jhove.Utf8BlockMarker

    public class Utf8BlockMarker

extends java.lang.Object

Author:
  Gary McGath

Constructor Summary
`Utf8BlockMarker()`

Method Summary
`Property` | `getBlocksUsedProperty(java.lang.String name)` Returns a Property listing the blocks that have been marked as used.
`void` | `markBlock(int code)`
`void` | `reset()` Clears all marked blocks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utf8BlockMarker

    public Utf8BlockMarker()

Method Detail

### markBlock

    public void markBlock(int code)

### getBlocksUsedProperty

    public Property getBlocksUsedProperty(java.lang.String name)

  Returns a Property listing the blocks that have been marked as used. If no blocks have been marked, returns null.

### reset

    public void reset()

  Clears all marked blocks.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD